Subject: Re: [netmod] New Version Notification for draft-tao-netmod-yang-node-tags-04.txt

From: Qin Wu <[email-masked]>
Date: Tue, 11 Aug 2020 11:49:33 +0000

Thanks Peng for a quick review on v-04.
There is no difference between data node and data object, two terms are interchangeable.
We could have another version to make the term consistent.
Regarding IANA section, yes, there are some inconsistency issue as well, e.g., the number of registries
are not consistent with the number of registries defined in the tables.
We will fix this in v-05. Thanks a lot.

-Qin
发件人: 刘 鹏 [mailto:[email-masked]]
发送时间: 2020年8月11日 18:54
收件人: Qin Wu <[email-masked]>; NETMOD Group <[email-masked]>
主题: 回复: New Version Notification for draft-tao-netmod-yang-node-tags-04.txt

Hi Qin,

I think it’s better and more mature than the last version. Here are some comments:

1. What is the difference between “data node” and “data object”? If they are the same, it is better to be consistent.

2. Whether the IANA should include all the functions before?

Regards,

Peng(CMCC)

________________________________
发件人: netmod <[email-masked]<mailto:[email-masked]>> 代表 Qin Wu <[email-masked]<mailto:[email-masked]>>
发送时间: 2020年8月10日 21:04
收件人: NETMOD Group <[email-masked]<mailto:[email-masked]>>
主题: Re: [netmod] New Version Notification for draft-tao-netmod-yang-node-tags-04.txt

Hi,
v-04 is posted, to address comments received from Jurgen and a few offline discussion.
https://datatracker.ietf.org/doc/html/draft-tao-netmod-yang-node-tags
The main changes include:
1. Add one NETCONF example in the appendix
2. Add Non-NMDA State Module in the appendix
3. Module structure alignment with module tag module.
4. Split Metric group from opm tag and define it as context info tag.
5. A few changes to Self Explanation Tags Use Cases.

-Qin
-----邮件原件-----
发件人: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]]
发送时间: 2020年8月10日 20:56
收件人: Qin Wu <[email-masked]<mailto:[email-masked]>>; Qin Wu <[email-masked]<mailto:[email-masked]>>; Benoit Claise <[email-masked]<mailto:[email-masked]>>; Liang Geng <[email-masked]<mailto:[email-masked]>>; Zongpeng Du <[email-masked]<mailto:[email-masked]>>
主题: New Version Notification for draft-tao-netmod-yang-node-tags-04.txt

A new version of I-D, draft-tao-netmod-yang-node-tags-04.txt
has been successfully submitted by Qin Wu and posted to the IETF repository.

Name:           draft-tao-netmod-yang-node-tags
Revision:       04
Title:          Self Explanation Data Object Tags
Document date:  2020-08-10
Group:          netmod
Pages:          40
URL:            https://www.ietf.org/internet-drafts/draft-tao-netmod-yang-node-tags-04.txt
Status:         https://datatracker.ietf.org/doc/draft-tao-netmod-yang-node-tags/
Htmlized:       https://tools.ietf.org/html/draft-tao-netmod-yang-node-tags-04
Htmlized:       https://datatracker.ietf.org/doc/html/draft-tao-netmod-yang-node-tags
Diff:           https://www.ietf.org/rfcdiff?url2=draft-tao-netmod-yang-node-tags-04

Abstract:
   This document defines a method to tag data objects associated with
   operation and management data in YANG Modules.  This YANG data object
   tagging method can be used to identify characteristics data and
   correlate data objects from different data sources and provide input,
   instruction, indication to selection filter and filter queries of
   operational state on a server during a "pub/sub" service for YANG
   datastore updates.  When the state of all subscriptions of a
   particular Subscriber to be fetched is huge, the amount of data to be
   streamed out to the destination can be greatly reduced and only
   targeted to the characteristics data.

   An extension statement to be used to indicate YANG data node self
   explanation tags that SHOULD be added by the module implementation
   automatically (i.e., outside of configuration).

   A YANG module [RFC7950] is defined, which augments Module tag model
   and provides a list of data node entries to allow for adding or
   removing of data node self explanation tags as well as viewing the
   set of self explanation tags associated with a YANG module.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

_______________________________________________
netmod mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/netmod

---

From: Qin Wu <[email-masked]>
Date: Tue, 11 Aug 2020 11:53:06 +0000

发送时间: 2020年8月11日 18:58

In addition，

3. You mentioned that “Split Metric group from opm tag and define it as context info tag”, but I didn’t see context info tag to be defined, are you saying opm tag is one example of context info tag or not?

[Qin]: No, Metric Group tag and service tag are two examples of context information tags, this has been briefly mentioned in section 1.1. OPM tag is not part of context information tag. OPM tag classify the O&M data into object type, property and metric, three category.
________________________________
发件人: netmod <[email-masked]<mailto:[email-masked]>> 代表 刘 鹏 <[email-masked]<mailto:[email-masked]>>
发送时间: 2020年8月11日 18:53
收件人: Qin Wu <[email-masked]<mailto:[email-masked]>>; NETMOD Group <[email-masked]<mailto:[email-masked]>>
主题: [netmod] 回复: New Version Notification for draft-tao-netmod-yang-node-tags-04.txt

Hi Qin,

Regards,

Peng(CMCC)

Hi,

-Qin
-----邮件原件-----
发件人: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]]
发送时间: 2020年8月10日 20:56
收件人: Qin Wu <[email-masked]<mailto:[email-masked]>>; Qin Wu <[email-masked]<mailto:[email-masked]>>; Benoit Claise <[email-masked]<mailto:[email-masked]>>; Liang Geng <[email-masked]<mailto:[email-masked]>>; Zongpeng Du <[email-masked]<mailto:[email-masked]>>
主题: New Version Notification for draft-tao-netmod-yang-node-tags-04.txt

A new version of I-D, draft-tao-netmod-yang-node-tags-04.txt
has been successfully submitted by Qin Wu and posted to the IETF repository..

Htmlized:       https://tools.ietf.org/html/draft-tao-netmod-yang-node-tags-04<https://tools.ietf..org/html/draft-tao-netmod-yang-node-tags-04>

Abstract:

The IETF Secretariat

---

From: 王 巍 <[email-masked]>
Date: Wed, 12 Aug 2020 02:33:12 +0000

Hi Qin,

Thanks for updating, I think telemetry data tagging and classification is a good idea, it captures different
KPI data from various different data source and correlate them together and provide
comprehensive view of the network quality, also provide consistent representation and reporting.
I want to see this work being adopted, I am willing to review and contribute to this draft.
A few quick comments on v-03 based on our offline discussion:
1. It is not clear metric group should be part of opm tags, if my understanding is correct, the metric group is used to
correlate different type network performance metrics together and serve as context information, suggest to split metric group
from opm tags.
2. Can you provide a NETCONF example on data object tag management?
3. Data Node Tags and Data object Tags are used in many places, I believe they are interchangeable, for consistency,
please use one or another.
4. Section 7.2, suggest to split Metric group from data node tag, I also believe data node tag should be changed into OPM tag
based on the context provided.

Best Regards,
Wei Wang
China Telecom

-----邮件原件-----
发件人: netmod [mailto:[email-masked]] 代表 Qin Wu
发送时间: 2020年8月10日 21:04
收件人: NETMOD Group <[email-masked]>
主题: Re: [netmod] New Version Notification for draft-tao-netmod-yang-node-tags-04.txt

Hi,
1. Add one NETCONF example in the appendix 2. Add Non-NMDA State Module in the appendix 3. Module structure alignment with module tag module.

-Qin
-----邮件原件-----
发件人: [email-masked] [mailto:[email-masked]]
发送时间: 2020年8月10日 20:56
收件人: Qin Wu <[email-masked]>; Qin Wu <[email-masked]>; Benoit Claise <[email-masked]>; Liang Geng <[email-masked]>; Zongpeng Du <[email-masked]>
主题: New Version Notification for draft-tao-netmod-yang-node-tags-04.txt

Abstract:

The IETF Secretariat

[email-masked]

---

From: Qin Wu <[email-masked]>
Date: Wed, 12 Aug 2020 09:07:53 +0000

Hi, Wei Wang:
发件人: 王 巍 [mailto:[email-masked]]
发送时间: 2020年8月12日 10:33
收件人: [email-masked]; Qin Wu <[email-masked]>
主题: Re: [netmod] New Version Notification for draft-tao-netmod-yang-node-tags-04.txt

Hi Qin,

[Qin]: Thanks, appreciated.

A few quick comments on v-03 based on our offline discussion:
1. It is not clear metric group should be part of opm tags, if my understanding is correct, the metric group is used to
correlate different type network performance metrics together and serve as context information, suggest to split metric group
from opm tags.
[Qin]:Good point, I have separated the metric group from opm tags in v-04. In addition,  I update the use case in section 1.1.1 to
Describe metric group usage as context information.

2. Can you provide a NETCONF example on data object tag management?
[Qin]:Good suggestion, I have added NETCONF example in the appendix.

3. Data Node Tags and Data object Tags are used in many places, I believe they are interchangeable, for consistency,
please use one or another.
[Qin]: I got the similar comments from Peng, I will fix this terminology inconsistency issue in v-05.

4. Section 7.2, suggest to split Metric group from data node tag, I also believe data node tag should be changed into OPM tag
based on the context provided.
 [Qin]: Agree,  I have introduced another registry for metric group tag and define initial values for it. Thanks for your good suggestion.
Best Regards,
Wei Wang
China Telecom

-----邮件原件-----
发件人: netmod [mailto:[email-masked]] 代表 Qin Wu
发送时间: 2020年8月10日 21:04
收件人: NETMOD Group <[email-masked]<mailto:[email-masked]>>
主题: Re: [netmod] New Version Notification for draft-tao-netmod-yang-node-tags-04.txt

Hi,

-Qin
-----邮件原件-----
发件人: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]]
发送时间: 2020年8月10日 20:56
收件人: Qin Wu <[email-masked]<mailto:[email-masked]>>; Qin Wu <[email-masked]<mailto:[email-masked]>>; Benoit Claise <[email-masked]<mailto:[email-masked]>>; Liang Geng <[email-masked]<mailto:[email-masked]>>; Zongpeng Du <[email-masked]<mailto:[email-masked]>>
主题: New Version Notification for draft-tao-netmod-yang-node-tags-04.txt

Abstract:

The IETF Secretariat